Subject: bug#18360: Modularize recent qsort_r additions

From: Paul Eggert <[email-masked]>
Date: Sat, 30 Aug 2014 09:39:32 -0700

Eli Zaretskii wrote:
> That is a different issue, and should not get in our way here.  For
> the purposes of this bug, can we agree that qsort_r is not needed, and
> the changes that use it should be reverted to use qsort instead?

Yes and no.  The previous version did not use qsort, so reverting the 
changes that use qsort_r will the drop the use of qsort (and qsort_r) 
entirely.

One could further *modify* the changes to stop using qsort_r, and to use 
qsort only.  But what would be the point?  qsort (and qsort_r) are 
mistakes here; we cannot use them.  Dropping the use of qsort_r would be 
like wiping the lipstick off a pig.